LoadFile("DATA:GUI/Base_Screen.lua")

------------------------------------------------------
-- Standard alert modal dialog
--------------------------------------------------------

local buttonOG = 1.1
local buttonScale = 0.8

local MessageBoxOk = CreatePushButton("MessageBoxOk", [[GUI\generic_dialogs\generic_textbutton.anim]], { -108, 115 }, buttonOG)
MessageBoxOk.button_ext.additional_scale = buttonScale
SetButtonText(MessageBoxOk, "$00408")

local MessageBoxRetry = CreatePushButton("MessageBoxRetry", [[GUI\generic_dialogs\generic_textbutton.anim]], { -108, 115 }, buttonOG)
MessageBoxRetry.button_ext.additional_scale = buttonScale
SetButtonText(MessageBoxRetry, "$00410")

local MessageBoxCancel = CreatePushButton("MessageBoxCancel", [[GUI\generic_dialogs\generic_textbutton.anim]], { 108, 115 }, buttonOG)
MessageBoxCancel.button_ext.additional_scale = buttonScale
SetButtonText(MessageBoxCancel, "$00409")

local MessageBoxText = CreateStaticText("MessageBoxText", "Alert!", { -220, -50 }, "label", "centy")
MessageBoxText.width = 440
MessageBoxText.height = 200
MessageBoxText.text_ext.colour = WHITE
MessageBoxText.text_ext.autowrap = true

MessageBox = CreateModalDialog("MessageBox",
{
	MessageBoxOk,
	MessageBoxRetry,
	MessageBoxCancel,
	MessageBoxText,
},
[[GUI\generic_dialogs\generic_dialog_medium.anim]], { SCREEN_WIDTH / 2, 350 })
MessageBox.modal_ext.fade_colour = { r = 0, g = 0, b = 0, alpha = 100 }

--------------------------------------------------------
-- Options Dialog
---------------------------------------------------------

local buttonY = 100
local buttonOG = 1.1
local buttonScale = 1.1

local OptionsDialogMusicButton = CreatePushButton("OptionsDialogMusicButton", [[GUI/options/checkbox_music.anim]], { -175, buttonY }, buttonOG)
OptionsDialogMusicButton.anim_ext.additional_scale = buttonScale
local OptionsDialogMusicCheck = CreateImage("OptionsDialogMusicCheck", [[GUI/options/checkmark.anim]], { -175, buttonY })
OptionsDialogMusicCheck.enabled = false

local OptionsDialogSoundButton = CreatePushButton("OptionsDialogSoundButton", [[GUI/options/checkbox_sound.anim]], { 0, buttonY }, buttonOG)
OptionsDialogSoundButton.anim_ext.additional_scale = buttonScale
local OptionsDialogSoundCheck = CreateImage("OptionsDialogSoundCheck", [[GUI/options/checkmark.anim]], { 0, buttonY })
OptionsDialogSoundCheck.enabled = false

local OptionsDialogCreditsButton = CreatePushButton("OptionsDialogCreditsButton", [[GUI/options/button_play.anim]], { 185, buttonY }, buttonOG)
OptionsDialogCreditsButton.anim_ext.additional_scale = buttonScale

local OptionsDialogCloseButton = CreatePushButton("OptionsDialogCloseButton", [[GUI/generic_dialogs/back.anim]], { -265, -140 }, buttonOG)

local OptionsDialogTitle = CreateStaticText("OptionsDialogTitle", "$00497", { 0, -150 }, "header", "centre")
OptionsDialogTitle.text_ext.colour = WHITE
OptionsDialogTitle.text_ext.hover_colour = WHITE
OptionsDialogTitle.text_ext.dropshadow_distance = 2

OptionsDialog = CreateModalDialog("OptionsDialog",
{
	OptionsDialogTitle,
	OptionsDialogCloseButton,
	OptionsDialogMusicCheck,
	OptionsDialogMusicButton,
	OptionsDialogSoundCheck,
	OptionsDialogSoundButton,
	OptionsDialogCreditsButton,
},
[[GUI\options\main_board.anim]], { 506, 362 })
OptionsDialog.modal_ext.fade_colour = { r = 0, g = 0, b = 0, alpha = 100 }

--------------------------------------------------------
-- Credits Dialog
---------------------------------------------------------

local buttonOG = 1.1

local CreditsDialogTitle = CreateStaticText("CreditsDialogTitle", "$00001", { 0, -320 }, "header", "centre")
CreditsDialogTitle.text_ext.colour = WHITE
CreditsDialogTitle.text_ext.hover_colour = WHITE
CreditsDialogTitle.text_ext.dropshadow_distance = 2

local CreditsDialogText = CreateStaticText("CreditsDialogText", "", { 0, -6 }, "unicode", "centre centy")
CreditsDialogText.text_ext.colour = WHITE
CreditsDialogText.width = 330
CreditsDialogText.height = 370

local CreditsDialogCloseButton = CreatePushButton("CreditsDialogCloseButton", [[GUI\generic_dialogs\generic_textbutton.anim]], { 0, 262 }, buttonOG)
SetButtonText(CreditsDialogCloseButton, "$00408")

CreditsDialog = CreateModalDialog("CreditsDialog",
{
	CreditsDialogTitle,
	CreditsDialogText,
	CreditsDialogCloseButton,
},
[[GUI\generic_dialogs\generic_dialog_tall.anim]], { SCREEN_WIDTH / 2, 400 })
CreditsDialog.modal_ext.fade_colour = { r = 0, g = 0, b = 0, alpha = 150 }